Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1908153 - F34FailsToInstall: golang-github-caddyserver-caddy-1-devel
Summary: F34FailsToInstall: golang-github-caddyserver-caddy-1-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-caddyserver-caddy-1
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-12-15 23:59 UTC by Miro Hrončok
Modified: 2020-12-26 01:36 UTC (History)
2 users (show)

Fixed In Version: golang-github-caddyserver-caddy-1-1.0.4-5.fc34 golang-github-caddyserver-caddy-1-1.0.4-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 05:13:25 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2020-12-15 23:59:57 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (golang-github-caddyserver-caddy-1) Fails To Install in Fedora 34:

can't install golang-github-caddyserver-caddy-1-devel:
  - nothing provides golang(github.com/go-acme/lego/v3/challenge) needed by golang-github-caddyserver-caddy-1-devel-1.0.4-4.fc34.noarch
  - nothing provides golang(github.com/go-acme/lego/v3/challenge/tlsalpn01) needed by golang-github-caddyserver-caddy-1-devel-1.0.4-4.fc34.noarch
  - nothing provides golang(github.com/go-acme/lego/v3/certcrypto) needed by golang-github-caddyserver-caddy-1-devel-1.0.4-4.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Fedora Update System 2020-12-17 05:13:25 UTC
FEDORA-2020-131e15f60c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 2 Fedora Update System 2020-12-17 05:53:05 UTC
FEDORA-2020-b31bd534fd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b31bd534fd

Comment 3 Fedora Update System 2020-12-18 01:14:12 UTC
FEDORA-2020-b31bd534fd has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b31bd534fd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b31bd534fd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-12-26 01:36:42 UTC
FEDORA-2020-b31bd534fd has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.